package com.yeejoin.amos.boot.module.jxiop.biz.service;

import com.yeejoin.amos.boot.module.jxiop.api.dto.IndexDto;
import com.yeejoin.amos.boot.module.jxiop.biz.dto.ResultsData;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @description:
 * @author: tw
 * @createDate: 2023/7/3
 */
public interface IMonitorFanIndicator {
    //批量修改指标值
   void UpdateMonitorFanIndicator(List<IndexDto> list);

    ResultsData getNationWideInfo( int current, int size,  String stationBasicId, String equipmentNumber);
    ResultsData getLsNationWideInfo( int current, int size,  String stationBasicId, String equipmentNumber);

    Map<String, Object> partofWaring3D(String stationId, String equipNum);
}
